%global modname serpy

Name:           python-%{modname}
Version:        0.1.1
Release:        3%{?dist}
Summary:        Ridiculously fast object serialization

License:        MIT
URL:            https://github.com/clarkduvall/serpy
Source0:        %{url}/archive/%{version}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

%global _description \
serpy is a super simple object serialization framework built for speed.\
serpy serializes complex datatypes (Django Models, custom classes, ...)\
to simple native types (dicts, lists, strings, ...). The native types can\
easily be converted to JSON or any other format needed.\
\
The goal of serpy is to be able to do this simply, reliably, and quickly.\
Since serializers are class based, they can be combined, extended and\
customized with very little code duplication. Compared to other popular\
Python serialization frameworks like marshmallow or Django Rest Framework\
Serializers serpy is at least an order of magnitude faster.

%description %{_description}

%package -n python2-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{modname}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-six
Requires:       python2-six

%description -n python2-%{modname} %{_description}

Python 2 version.

%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
Requires:       python3-six

%description -n python3-%{modname} %{_description}

Python 3 version.

%prep
%autosetup -n %{modname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{modname}
%license LICENSE
%doc README.rst
%{python2_sitelib}/%{modname}-*.egg-info/
%{python2_sitelib}/%{modname}/

%files -n python3-%{modname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{modname}-*.egg-info/
%{python3_sitelib}/%{modname}/

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.1.1-2
- Rebuild for Python 3.6

* Fri Aug 26 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.1.1-1
- Initial package
